aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xfce4-notes-plugin
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-05-29 12:58:09 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-05-29 12:58:09 +0000
commit84c0d12c2c88d26659a209939f1316810a0b29ae (patch)
tree835a5eb84c8daa941b9acc15301ef7ad770a2e84 /testing/xfce4-notes-plugin
parente689cd34cbf858a9ef67e61ca17cf111306a0f8b (diff)
downloadaports-84c0d12c2c88d26659a209939f1316810a0b29ae.tar.gz
aports-84c0d12c2c88d26659a209939f1316810a0b29ae.tar.bz2
aports-84c0d12c2c88d26659a209939f1316810a0b29ae.tar.xz
testing/xfce4-note-plugin: new aport
Notes plugin for the Xfce4 desktop http://goodies.xfce.org/projects/panel-plugins/xfce4-notes-plugin
Diffstat (limited to 'testing/xfce4-notes-plugin')
-rw-r--r--testing/xfce4-notes-plugin/APKBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/testing/xfce4-notes-plugin/APKBUILD b/testing/xfce4-notes-plugin/APKBUILD
new file mode 100644
index 0000000000..42e7ccd175
--- /dev/null
+++ b/testing/xfce4-notes-plugin/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor:
+# Maintainer:
+pkgname=xfce4-notes-plugin
+pkgver=1.7.2
+pkgrel=0
+pkgdesc="Notes plugin for the Xfce4 desktop"
+url="http://goodies.xfce.org/projects/panel-plugins/xfce4-notes-plugin"
+license="GPL"
+depends=
+makedepends="xfce4-panel-dev libunique-dev"
+install=
+subpackages=
+source="http://archive.xfce.org/src/panel-plugins/xfce4-notes-plugin/1.7/xfce4-notes-plugin-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ # apply patches here
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="054742ecc4bb83de6c1447b023938d3e xfce4-notes-plugin-1.7.2.tar.bz2"